from flask import Flask, request
from flask_restful import Resource, Api
from .appointmentsService import AppointmentService
# from . import app

app = Flask(__name__)

@app.route("/messages/status", methods=["POST"])
def StatusPost():
	print(request.json['message'])
	return "Status - OK";

@app.route("/messages/incoming", methods=["POST"])
def IncomingPost():
	message = "\nMessage Response for message order " + request.json['messageId'] + "\nFrom Phone Number: " + request.json['msisdn'] + "\nResponse Text: " + request.json['message'] + "\nOperator Standard: " + request.json['parameters']['operator']['standard'] + "\nReceived on " + request.json['receivedTime']['Date'] + " at " + request.json['receivedTime']['Time']
	print(str(message))
	return "Incoming - OK"


if __name__ == '__main__':
	app.run();
	appointmentsService = AppointmentService();
	appointmentsService.sendAppointmentMessage();