import os

basedir = os.path.abspath(os.path.dirname(__file__))


class DefaultConfig(object):
    DEBUG = False
    LIVELINK_APP_KEY = ""
    LIVELINK_APP_SECRET = ""
    LIVELINK_BASE_URL = "ttps://livelink.sapmobileservices.com/api"
    LIVELINK_DEFAULT_ORIGIN = ""


class DevelopmentConfig(DefaultConfig):
    DEBUG = True
    LIVELINK_APP_KEY = "",
    LIVELINK_APP_SECRET = "",
    LIVELINK_BASE_URL = "",
    LIVELIN_DEFAULT_ORIGIN = ""

config_env_files = {
    'development': 'callbacks.config.DevelopmentConfig',
}